.jobDetailsHero {
    position: relative;
    display: flex;
    flex-direction: column;
    padding: 10px;
    background: #00AC8A;
    border-radius: 12px;
    max-height: 204px;
}

#JobDetailsHero .jobDetailsHero .jobInfoContent {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.jobDetailsHeroContent {
    opacity: 1;
    transform: translateY(0px);
    max-height: 250px;
}

.jobDetailsHero p {
    margin: 0;
    padding: 0;
}

.jobDetailsHeroContent {
    display: flex;
    flex-direction: column;
    padding: 0 6px;
    gap: 6px;
}

.jobDetailsHeroContent .headerText{
    color: #FFF;
    font-family: Montserrat, sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
}

.jobDetailsHeroContent .jobTitle {
    color: #FFF;
    font-family: Montserrat, sans-serif;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.jobTitleLocation {
    display: flex;
    flex-direction: column;
    gap: 6px;
    padding: 6px 0;
}

.jobInfoTagContainer {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.jobInfoTag {
    padding: 6px 12px;
    border-radius: 8px;
    background: rgba(255, 255, 255, 0.15);
}

.jobInfoTag p {
    color: rgba(255, 255, 255, 0.75);

    font-family: Montserrat, sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 24px;
}

.jobDetailsHeroContent .jobLocation {
    color: #FFF;
    font-size: 18px;
    font-style: normal;
    font-weight: 600;
    line-height: 28px;
    font-family: Montserrat, sans-serif;
}

.single-job .section--job .jobDetailsHero a.back {
    display: inline-flex;
    padding: 4px 12px;
    align-items: center;
    gap: 6px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.35);
    background: rgba(255, 255, 255, 0.15);
    margin-bottom: 0;
    cursor: pointer;
}

.single-job .section--job .jobDetailsHero .resultsContainer p {
    color: #FFF;
    font-family: Montserrat, sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
}

.single-job .section--job .jobDetailsHero .quickApplyButton {
    display: flex;
    padding: 10px 64px;
    justify-content: center;
    align-items: center;
    gap: 6px;
    border-radius: 50px;
    box-shadow: 0 1px 3px 0 rgba(16, 24, 40, 0.10), 0 1px 2px 0 rgba(16, 24, 40, 0.06);
}

.single-job .section--job .jobDetailsHero .quickApplyButton.isNursing {
    border: 1px solid #007A62;
    background: #F2F8F6;
    color: #007A62;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 24px;
    font-family: Montserrat, sans-serif;
}

.single-job .section--job .jobDetailsHero .quickApplyButton.isNursing:hover {
    border-radius: 50px;
    border: 1px solid #007A62;
    background: #E9F3F0;
    box-shadow: 0 1px 3px 0 rgba(16, 24, 40, 0.10), 0 1px 2px 0 rgba(16, 24, 40, 0.06);
}

@media (max-width: 992px) {
    .jobDetailsHero {
        border-radius: 0;
    }
}

@media (min-width: 1200px) {
    #JobDetailsHero {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .jobDetailsHero {
        transition:
                opacity 0.3s ease-in-out,
                max-height 0.3s ease-in-out,
                transform 0.3s ease-in-out;
        max-height: 204px;
    }

    #JobDetailsHero.jobDetailsHero--collapsed .resultsContainer,
    #JobDetailsHero.jobDetailsHero--collapsed .jobTitleLocation {
        transform: translateY(-100%);
        opacity: 0;
    }

    #JobDetailsHero.jobDetailsHero--collapsed .jobDetailsHeroContent {
        transform: translateY(-116px);
    }

    #JobDetailsHero.jobDetailsHero--collapsed .jobDetailsHero {
        max-height: 90px;
        border-radius: 0 0 12px 12px;
    }

    #JobDetailsHero.jobDetailsHero--collapsed .jobInfoContent {
        display: flex;
        flex-direction: column-reverse;
        gap: 6px;
    }
}
